import SpeckleRenderer from '../SpeckleRenderer';
import { PointQuery, PointQueryResult } from './Query';
export declare class PointQuerySolver {
    private renderer;
    setContext(renderer: SpeckleRenderer): void;
    solve(query: PointQuery): PointQueryResult;
    private solveProjection;
    private solveUnprojection;
}
